export default class Gauge extends Component<any, any, any> {
    static uiName: string;
    static identifier: string;
    static iconName: string;
    static minSize: {
        width: number;
        height: number;
    };
    static defaultSize: {
        width: number;
        height: number;
    };
    static isSensible({ cols, rows }: {
        cols: any;
        rows: any;
    }): boolean;
    static checkRenderable([{ data: { cols, rows }, },]: [{
        data: {
            cols: any;
            rows: any;
        };
    }]): void;
    static settings: {
        "gauge.range": {
            getDefault(series: any, vizSettings: any): number[];
            readDependencies: string[];
        };
        "gauge.segments": {
            readonly section: string;
            readonly title: string;
            getDefault(series: any): {
                min: number;
                max: number;
                color: string;
                label: string;
            }[];
            widget: ({ value: segments, onChange }: {
                value: any;
                onChange: any;
            }) => import("react/jsx-runtime").JSX.Element;
            persistDefault: boolean;
        };
    };
    constructor(props: any);
    /** @type {React.RefObject<SVGTextElement>} */
    labelRef: React.RefObject<SVGTextElement>;
    state: {
        mounted: boolean;
    };
    componentDidMount(): void;
    componentDidUpdate(): void;
    _updateLabelSize(): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import * as React from "react";
